function onBegin()
	setFlag("finalSecret0",true)
	wait(2)
	for i=1,16,1 do
		setFlag("finalSecret"..tostring(i),true)
		--setFlag("finalSecret"..tostring(i-1),false)
		wait(3)
	end
	setFlag("trueEnding",true)
end